<script setup lang="ts">
import { usePromotionStore } from '@/stores/Promotion'
import { useMemberStore } from '@/stores/member'
import { useReceiptStore } from '@/stores/receipt'

const receiptStore = useReceiptStore()
const memberStore = useMemberStore()
const promotionStore = usePromotionStore()
</script>
<template>
  <v-card min-width="300" max-width="800" min-height="200" color="rgba(255, 255, 255)">
    <v-sheet
      class="pl-4 py-2 mt-0 text-subtitle-2"
      elevation="2"
      min-height="30"
      width="auto"
      color="rgba(247, 156, 82)"
    >
      <v-row>
        <v-col
          cols="4"
          class="pe-4 text-body-2"
          lg="4"
          md="12"
          style="font-family: 'Kanit', sans-serif"
        >
          <span style="color: white; font-size: 10">Name: </span>
          <span :style="{ color: 'white' }">{{
            memberStore.currentMember ? memberStore.currentMember?.name : 'not found'
          }}</span>
        </v-col>

        <v-col
          cols="3"
          class="pe-2 text-body-2"
          lg="2"
          md="12"
          style="font-family: 'Kanit', sans-serif"
        >
          <span style="color: white">Point: </span>
          <span :style="{ color: 'white' }">{{
            memberStore.currentMember ? memberStore.currentMember?.point : '-'
          }}</span>
        </v-col>

        <!-- Add vertical divider between sections -->
        <v-divider vertical height="40"></v-divider>
      </v-row>
    </v-sheet>

    <v-container class="text-body-2">
      <!-- no-gutters is no space between row -->
      <v-row no-gutters style="font-family: 'Kanit', sans-serif">
        <v-col cols="6">ยอดก่อนหัก</v-col>
        <v-col cols="6">{{ receiptStore.receipt?.totalBefore }}</v-col>
        <v-col cols="6">ส่วนลดสมาชิค</v-col>
        <v-col cols="6">{{ receiptStore.receipt?.memberDiscount }}</v-col>
        <v-col cols="6">ส่วนลดโปรโมชั่น</v-col>
        <v-col cols="6">{{ receiptStore.receipt?.promotionDiscount }}</v-col>
        <v-col cols="6">ส่วนลดรวม</v-col>
        <v-col cols="6">{{ receiptStore.receipt?.totalDiscount }}</v-col>
        <v-divider></v-divider>
        <v-col cols="6" class="text-h6 mt-2" style="font-family: 'Kanit'">ยอดรวม</v-col>
        <v-col cols="6" class="text-h6 mt-2" style="font-family: 'Kanit'">{{ receiptStore.receipt?.total }}</v-col>
      </v-row>
    </v-container>
  </v-card>
</template>
